General

  1. Use AWS IAM Roles as Octopus AWS Accounts

    When creating an Octopus AWS Account (https://octopus.com/docs/infrastructure/deployment-targets/aws) you currently need to enter an AWS Access Key and Secret Key. This means the corresponding AWS Access Key needs to be periodically rotated, creating some management overhead and potential security vulnerabilities. Rather than an AWS Access Key and Secret Key, if we were able to enter an AWS IAM Role that is assumed whenever that Octopus AWS Account is used, then we would no longer need to manage AWS Access Keys.

    In the background, Octopus Deploy would need to set it up so that the AWS IAM Role is assumed…

    67 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Deployment features  ·  Flag idea as inappropriate…  ·  Admin →
  2. Support older versions of SQL Server

    Please reintroduce support for SQL Server 2016 Enterprise.

    Recent versions of Octopus only support SQL Server 2017+. SQL Server 2016 (SP2) still has mainstream Microsoft support until July 2021 and extended support until July 2026. It is very expensive for organisations to run and support multiple editions of Highly Available Enterprise SQL clusters and is consequently a barrier for upgrading to the latest Octopus version for my organisation. My organisation is a large enterprise in a heavily regulated industry so our software must be supported platforms, I am sure many of your enterprise customers would benefit from this.

    9 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Setup/administration  ·  Flag idea as inappropriate…  ·  Admin →

    We have relaxed the restrictions on SQL Server from SQL Server 2017+ to SQL Server 2016+ in the latest patch release of Octopus Server 2020.2 and 2020.3.

    This has taken affect from the following versions
    2020.1.x (SQL Version change was not enforced in 2020.1.x)
    2020.2.18 ➜ 2020.2.latest
    2020.3.6 ➜ 2020.3.latest
    2020.4.0 ➜ latest

  3. Runbook need support for prompted variables

    Runbook need support for prompted variables

    We need support for prompted variables when using runbooks hope this is added in a future version

    2 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Deployment features  ·  Flag idea as inappropriate…  ·  Admin →
  4. Support Terraform 0.12

    Octopus supports Terraform-Steps. It uses Terraform 0.11. Terraform 0.12 has been released and has a few breaking changes. Update the Terraform-Integration to be compatible with Terraform 0.11 and 0.12.

    48 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Integration  ·  Flag idea as inappropriate…  ·  Admin →
  5. Support linux-arm in Linux Tentacle

    A dotnet core version has been build. I would be great if this was compiled to a linux-arm runtime.

    https://octopus.com/docs/infrastructure/deployment-targets/linux/tentacle

    15 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    3 comments  ·  Flag idea as inappropriate…  ·  Admin →
  6. Disable Chrome AutoFill on inputs

    The chrome autofill gets in the way of dropdowns/multi-selects. There is not the ability for a user to disable autofill for specific websites, but this is supposed to work on the developer side:

    https://stackoverflow.com/questions/40200130/how-to-disable-chrome-to-autofill-username-email-password/40200269#40200269

    47 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    4 comments  ·  Flag idea as inappropriate…  ·  Admin →
  7. Helm 3 support

    Helm 3 is around the corner. Right now rc2 is available. Would be nice to Octopus could integrate with 3rd version of helm. Eg. Repositories will be available as container registries also. Are you guys plan to integrate with third version ?

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Integration  ·  Flag idea as inappropriate…  ·  Admin →
  8. Fix a typo in the docs

    The header here
    https://octopus.com/docs/administration/data/octopus-database#Octopusdatabase-highavailability
    is missing an "i" between "bil" and "ty". Says Availabilty and not Availability

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Flag idea as inappropriate…  ·  Admin →
  9. Allow adding tags for AWS CloudFormation Stacks

    Currently if I were to deploy a CloudFormation template using the AWS CLI I would have the option to specify tags for the stack.

    The tags defined at the stack level propagate to all AWS resources in the stack that support tagging.

    Since our stacks generally correlate to an environment such as 'staging' or 'production' it would be useful to supply an Environment tag to the stack and have this applied to all resources.

    Octopus currently does not allow us to specify the tags for the stack in the 'Deploy an AWS CloudFormation template' step.

    28 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Flag idea as inappropriate…  ·  Admin →
  10. Kubernetes Ingress doesn't allow to configure TLS

    Allow kubernetes ingress to specify TLS configuration.

    15 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Deployment features  ·  Flag idea as inappropriate…  ·  Admin →
  11. Allow multiple version of 'kubectl'

    Currently Ocotpus only allows for one version of 'kubectl' to be added to the Octopus server. This means that all clusters targeted by Octopus must be running the same version of Kubernetes.

    It would add greater flexibility if we could add multiple versions of 'kubectl' and then choose which version to use within the Kubernetes deployment target.

    3 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Flag idea as inappropriate…  ·  Admin →
  12. 13 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Deployment features  ·  Flag idea as inappropriate…  ·  Admin →
  13. Dark theme

    It would be great to have the option to switch to a dark theme

    166 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    5 comments  ·  Flag idea as inappropriate…  ·  Admin →
  14. terraform

    Terraform step templates for Azure deploys. Currently only AWS is supported in Octopus included step templates. It seems like an easy addition to the existing functionality

    12 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Deployment features  ·  Flag idea as inappropriate…  ·  Admin →
  15. Create an Octopus Terraform Provider

    Like many others, we use Terraform to manage our cloud infrastructure and it would be great if we could create and manage our octopus setup in it too.

    This is a follow up to the question posted on the Octopus Help section: https://help.octopus.com/t/any-plans-for-an-octopus-terraform-provider/20853

    16 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Integration  ·  Flag idea as inappropriate…  ·  Admin →
  16. Allow defining an explicit order for prompted variables

    At the moment (at least to my knowledge) the order in which prompted variables are shown is dependent on the variable name (ordered alphabetically).

    It would be really cool if there was a possibility to give prompted variables an explicit order so that we can control in which order they appear in a simpler manner. For example it would be cool if one could just set a "priority" value for a prompted variable. This "priority" could be an integer and the prompts could then be ordered by this priority in descending order.

    Unfortunately giving them names to achieve the correct…

    13 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Flag idea as inappropriate…  ·  Admin →
  17. Allow kubernetes & helm steps to override the target provided namespace

    Although the kubernetes target type defines its namespace, there may be some situations where a different namespace should be used for a given step

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Flag idea as inappropriate…  ·  Admin →
  18. Add ability to use run conditions for child steps

    The only way to specify a rolling deployment is by grouping several steps into one parent step.

    Child steps cannot specify any run condition (success, fail, variable) but some child steps run condition can be based on several factors controlled by run conditions.

    I already opened a discussion here: http://help.octopusdeploy.com/discussions/problems/55380-add-ability-to-use-run-conditions-for-child-steps

    192 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    6 comments  ·  Flag idea as inappropriate…  ·  Admin →
  19. Support Powershell scripts on Linux

    Now that Powershell is cross-platform, please support running Powershell scripts on Linux

    33 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    completed  ·  1 comment  ·  Flag idea as inappropriate…  ·  Admin →
  20. Show variable snapshot differences in release screen

    Sometimes when deploying, the user receives this message:

    "For consistency, this deployment will use a snapshot of the variables and deployment process that was taken when the release was created, which does not include the latest changes that have been made to the project. A changed process can only be incorporated by creating a new release (this one may be renamed if desired). Variables can be updated via the release page, clicking Show to show the variables from the snapshot, and clicking the Update variables button."

    It would be great to be able to tell the user exactly what changed,…

    217 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    6 comments  ·  Flag idea as inappropriate…  ·  Admin →
← Previous 1 3 4 5 15 16
  • Don't see your idea?

Feedback and Knowledge Base